Name:		mftrace
Version:	1.2.18
Release:	%mkrel 9
Epoch:		2
Summary:	Generates scalable fonts for TeX
Group:		Publishing
License:	GPL
URL:		http://lilypond.org/mftrace/
Source0:	http://lilypond.org/download/sources/mftrace/mftrace-%{version}.tar.gz
# (tv) fix detecting fontforge:
# (needed for building ec-fonts-mftraced)
Patch0:		fontforge-fix.diff

BuildRequires:	potrace
BuildRequires:	python

Requires:	fontforge
Requires:	potrace
Requires:	python
Requires:	t1utils
Requires:	tetex

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%autosetup -p1

%build
%configure2_5x
%make_build CC="%{__cc}" CFLAGS="%{optflags}"

%install
%make_install

%files
%{_bindir}/%{name}
%{_bindir}/gf2pbm
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}/


%changelog
* Fri Jun 30 2017 akien <akien> 2:1.2.18-9.mga6
+ Revision: 1108768
- Remove dependency on obsolete autotrace

* Mon Apr 11 2016 tv <tv> 2:1.2.18-8.mga6
+ Revision: 1000281
- fix detecting fontforge (thus fixing building ec-fonts-mftraced)

* Mon Feb 01 2016 umeabot <umeabot> 2:1.2.18-7.mga6
+ Revision: 930259
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:1.2.18-6.mga5
+ Revision: 747446
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2:1.2.18-5.mga5
+ Revision: 727248
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2:1.2.18-4.mga5
+ Revision: 682373
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2:1.2.18-3.mga4
+ Revision: 507939
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2:1.2.18-2.mga3
+ Revision: 360010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 rtp <rtp> 2:1.2.18-1.mga3
+ Revision: 336166
- update to 1.2.18 to fix ec-font-mftraced build

* Thu Mar 31 2011 spuhler <spuhler> 2:1.2.16-2.mga1
+ Revision: 79159
- imported package mftrace

